## python-redis 4.3.4

=== requirements.txt ===
async-timeout>=4.0.2
deprecated>=1.2.3
packaging>=20.4
typing-extensions; python_version<"3.8"

=== docs/requirements.txt ===
sphinx<5
docutils<0.18
sphinx-rtd-theme
nbsphinx
sphinx_gallery
ipython
sphinx-autodoc-typehints

## python-redis 2.0.0

=== debian/changelog ===
python-redis (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.
  * Move to 3.0 (quilt) dpkg format.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Jul 2010 09:49:45 -0400

python-redis (1.34.1+git20100401235334-1) unstable; urgency=low

  * New upstream snapshot.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Apr 2010 17:01:09 +0100

python-redis (1.34.1-1) unstable; urgency=low

  * New upstream release (Closes: #571563)
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Feb 2010 02:07:44 +0000

python-redis (0.6.1-1) unstable; urgency=low

  * Initial release.
    - Source package split from "redis" source package.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jan 2010 23:54:06 +0000

=== debian/control ===
Source: python-redis
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-support
Standards-Version: 3.9.1
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-redis.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-redis.git
Homepage: http://github.com/andymccurdy/redis-py/

Package: python-redis
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Persistent key-value database with network interface (Python library)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package contains Python bindings to Redis.

=== debian/watch ===
version=3
http://github.com/andymccurdy/redis-py/downloads .*/redis-(.*).tar.gz

## python-redis 2.4.5

=== debian/changelog ===
python-redis (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Jun 2011 14:55:43 +0100

python-redis (2.2.4-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch file.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Apr 2011 15:59:38 +0100

python-redis (2.2.1-2) unstable; urgency=low

  * Rebuild in sane environment to prevent uninstallability on sid.
    (Closes: #616000)

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Mar 2011 00:36:24 +0000

python-redis (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 22:39:33 +0000

## python-redis 2.4.9

=== debian/changelog ===
python-redis (2.4.9-1ubuntu1) precise; urgency=low

  * Transition to dh_python2 for inclusion in main for MaaS (LP: #1020267)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Jun 2013 00:10:44 -0600

python-redis (2.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jul 2011 01:01:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-redis
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python-support
-Standards-Version: 3.9.1
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-redis.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-redis.git
+Build-Depends-Indep: python (>= 2.6.6-3~)
+Standards-Version: 3.9.2
+Vcs-Git: git://github.com/lamby/pkg-python-redis.git
+Vcs-Browser: https://github.com/lamby/pkg-python-redis
 Homepage: http://github.com/andymccurdy/redis-py/
 
 Package: python-redis

## python-redis 2.4.13

=== debian/changelog ===
python-redis (2.4.13-2) unstable; urgency=low

  * Transition to dh_python2. Thanks to Andres Rodriguez <andreserl@gmail.com>
    (Closes: #680567)

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Jul 2012 21:13:14 +0100

python-redis (2.4.13-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jun 2012 16:18:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: python-redis
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python (>= 2.6.6-3~)
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Vcs-Git: git://github.com/lamby/pkg-python-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-python-redis

## python-redis 2.7.2

=== debian/changelog ===
python-redis (2.7.2-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:50 +0000

python-redis (2.7.2-1) unstable; urgency=low

  * New upstream version. (Closes: #729834)
  * Bump Standards-Version to 3.9.4.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Nov 2013 12:11:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://github.com/lamby/pkg-python-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-python-redis
 Homepage: http://github.com/andymccurdy/redis-py/

=== debian/watch ===
version=3
http://github.com/andymccurdy/redis-py/downloads .*/redis-(?:py-)?(.*).tar.gz

## python-redis 2.10.1

=== debian/changelog ===
python-redis (2.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jul 2014 17:20:32 +0100

python-redis (2.9.1-3) unstable; urgency=medium

  * Add python-hiredis to Recommends due to performance improvements when used
    together (Closes: #749077)

 -- Chris Lamb <lamby@debian.org>  Fri, 23 May 2014 22:10:58 +0100

python-redis (2.9.1-2) unstable; urgency=low

  * Add Python 3 package. (Closes: #739552)
  * Update debian/watch.
  * Bump Standards-Version to 3.9.5.

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Feb 2014 22:55:12 +0000

python-redis (2.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Feb 2014 22:57:01 +0000

=== debian/control ===
Source: python-redis
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Vcs-Git: git://github.com/lamby/pkg-python-redis.git
Vcs-Browser: https://github.com/lamby/pkg-python-redis
Homepage: http://github.com/andymccurdy/redis-py/

Package: python-redis
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-hiredis
Description: Persistent key-value database with network interface (Python library)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package contains Python bindings to Redis.

Package: python3-redis
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Persistent key-value database with network interface (Python 3 library)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package contains Python bindings to Redis.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=redis

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests require Running redis instance

## python-redis 2.10.3

=== debian/changelog ===
python-redis (2.10.3-3ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop python-hiredis down to a Suggests to avoid main
      inclusion in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Jun 2015 11:27:37 +0100

python-redis (2.10.3-3) unstable; urgency=medium

  * debci tests require python{,3}-setuptools or they blow up with a
    "TypeError: issubclass() arg 1 must be a class" traceback.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 May 2015 00:44:52 +0100

python-redis (2.10.3-2) unstable; urgency=medium

  * Run wrap-and-sort.
  * debian/tests/control: Add Python dependencies.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Feb 2015 22:36:11 +0000

python-redis (2.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Drop trailing slash from Homepage.
  * Bump debhelper compatibility level to 9.
  * Add DEP8 testsuite; we couldn't run it during build as it required a
    running redis-server instance.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Feb 2015 17:39:35 +0000

python-redis (2.10.1-1ubuntu1) utopic; urgency=medium

  * d/control: Drop python-hiredis down to a Suggests to avoid main
    inclusion in Ubuntu (LP: #1349889). 

 -- James Page <james.page@ubuntu.com>  Mon, 15 Sep 2014 10:32:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: python-redis
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all (>= 2.6.6-3~),
+               python-setuptools,
+               python3-all,
+               python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://github.com/lamby/pkg-python-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-python-redis
-Homepage: http://github.com/andymccurdy/redis-py/
+Homepage: http://github.com/andymccurdy/redis-py
 
 Package: python-redis
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-hiredis
+Suggests: python-hiredis
 Description: Persistent key-value database with network interface (Python library)
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically

=== debian/tests/control ===
Depends: redis-server, python-pytest, python-setuptools
Test-Command: python setup.py test

Depends: redis-server, python3-pytest, python3-setuptools
Test-Command: python3 setup.py test

## python-redis 2.10.5

=== debian/changelog ===
python-redis (2.10.5-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop python-hiredis down to a Suggests to avoid main
      inclusion in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Fri, 20 Nov 2015 16:00:27 +0000

python-redis (2.10.5-1) unstable; urgency=medium

  * New upstream release.
  * wrap-and-sort -sa
  * Drop 001-Fix-tests-under-Redis-3.x-we-can-be-of-an-embedded-s.patch; merged
    upstream.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Nov 2015 12:10:07 +0000

python-redis (2.10.3-8) unstable; urgency=medium

  * Add '@' to autopkgtest `Depends:` line so that the packages we wish to test
    is actually installed.

 -- Chris Lamb <lamby@debian.org>  Sat, 03 Oct 2015 17:31:11 +0200

python-redis (2.10.3-7) unstable; urgency=medium

  * Actually test against the installed (and patched) version by removing the
    library from the local source tree.
    
    We remove the contents (ie. with "redis/*") instead of the entire directory
    so that upstream's setup.py does not complain.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2015 18:47:22 +0100

python-redis (2.10.3-6) unstable; urgency=medium

  * Replace `-B` with `Restrictions: allow-stderr` in autopkgtests.

    Failures were due to "no previously-included files found matching
    '__pycache__'" being written to stderr, caused by MANIFEST.in attempting to
    exclude these files which did not exist as it is a clean source checking.

    Adding '-B' in 2.10.3-5 therefore had no effect, and would have actually
    prevented these files ever existing.

    It does not appear possible to silence this message, so the options are
    either to:

     a) Ensure these files exist so the warning never occurs (!).
     b) Remove the MANIFEST.in file.
     c) Permit stderr output. This is presumably safe as pytest is fairly
        robust.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2015 16:58:11 +0100

python-redis (2.10.3-5) unstable; urgency=medium

  * Run tests with -B flag to try and avoid .pyc and __pycache__ issues.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Sep 2015 23:58:49 +0100

python-redis (2.10.3-4) unstable; urgency=medium

  * Add patch to fix tests under Redis 3.x; discovered by debci.

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Aug 2015 13:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python-all (>= 2.6.6-3~),
-               python-setuptools,
-               python3-all,
-               python3-setuptools
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all (>= 2.6.6-3~),
+ python-setuptools,
+ python3-all,
+ python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.6
@@ -18,8 +19,11 @@
 
 Package: python-redis
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-hiredis
+Depends:
+ ${misc:Depends},
+ ${python:Depends}
+Suggests:
+ python-hiredis
 Description: Persistent key-value database with network interface (Python library)
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
@@ -31,7 +35,9 @@
 
 Package: python3-redis
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Persistent key-value database with network interface (Python 3 library)
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically

=== debian/tests/control ===
Depends: @, redis-server, python-pytest, python-setuptools
Restrictions: allow-stderr
Test-Command: rm -rf redis/*; python setup.py test

Depends: @, redis-server, python3-pytest, python3-setuptools
Restrictions: allow-stderr
Test-Command: rm -rf redis/*; python3 setup.py test

=== debian/watch ===
version=3
http://github.com/andymccurdy/redis-py/releases archive/(.*).tar.gz

## python-redis 2.10.6

=== debian/changelog ===
python-redis (2.10.6-2ubuntu1) bionic; urgency=medium

  * Don't run the precision tests on 32bit architectures (Chris Lamb).
    Closes: #896864.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Apr 2018 11:06:18 +0200

python-redis (2.10.6-2) unstable; urgency=medium

  * Add python-mock and python3-mock to autopkgtest dependencies.
  * Use HTTPS URIs for:
    - Homepage field.
    - "Format" URI in debian/copyright.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.3.
  * Override debian-watch-does-not-check-gpg-signature.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Feb 2018 15:30:19 +0000

python-redis (2.10.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Move to HTTPS URI.
  * Bump Standards-Version to 4.1.1.
  * Drop version part of python-all dependency.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Oct 2017 11:43:25 -0400

python-redis (2.10.5-4) unstable; urgency=medium

  * Update travis.yml.
  * Move autopkgtests to separate file.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Aug 2017 12:44:55 -0400

python-redis (2.10.5-3) unstable; urgency=medium

  * Bump debhelper compatibility level to 10.
  * Bump Standards-Version to 4.0.0.

 -- Chris Lamb <lamby@debian.org>  Sun, 30 Jul 2017 22:13:00 -0400

python-redis (2.10.5-2) unstable; urgency=medium

  * debian/control:
    - Bump python-hiredis to Suggests, syncing with Ubuntu.
    - Move to HTTPS Vcs-Git URI.
    - Bump Standards-Version to 3.9.8.
    - wrap-and-sort -sa.
  * Move to DEP-5 debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Sep 2016 14:28:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: python-redis
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
- python-all (>= 2.6.6-3~),
+ python-all,
  python-setuptools,
  python3-all,
- python3-setuptools
+ python3-setuptools,
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
-Vcs-Git: git://github.com/lamby/pkg-python-redis.git
+Standards-Version: 4.1.3
+Vcs-Git: https://github.com/lamby/pkg-python-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-python-redis
-Homepage: http://github.com/andymccurdy/redis-py
+Homepage: https://github.com/andymccurdy/redis-py
 
 Package: python-redis
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends}
+ ${python:Depends},
 Suggests:
- python-hiredis
+ python-hiredis,
 Description: Persistent key-value database with network interface (Python library)
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
@@ -37,7 +36,9 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
+Suggests:
+ python3-hiredis,
 Description: Persistent key-value database with network interface (Python 3 library)
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically

=== debian/watch ===
version=3
https://github.com/andymccurdy/redis-py/releases archive/(.*).tar.gz

## python-redis 3.2.0

=== debian/changelog ===
python-redis (3.2.0-2~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 04 Mar 2019 12:21:09 +0000

python-redis (3.2.0-2) unstable; urgency=medium

  * Drop "strict" restriction on patched XFAIL tests. (Closes: #922327)

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Mar 2019 19:16:26 +0100

python-redis (3.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Feb 2019 10:32:42 +0100

python-redis (3.1.0-2) unstable; urgency=medium

  * Autopkgtests:
    - Test against the correct version of the module. (Closes: #922327)
    - Test all available Python versions.
    - Add more logging.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Feb 2019 17:31:37 +0100

python-redis (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-Skip-64-bit-specific-tests.patch; applied upstream in
    <https://github.com/andymccurdy/redis-py/pull/972>.
  * Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Feb 2019 18:40:10 +0100

python-redis (3.0.1-3) unstable; urgency=medium

  * Unmark a test that was accidentally marked as XFAIL.

 -- Chris Lamb <lamby@debian.org>  Sat, 22 Dec 2018 16:33:00 +0000

python-redis (3.0.1-2) unstable; urgency=medium

  * Mark a bunch of failing autopkgtests as (strict) XFAIL.
  * Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Dec 2018 23:39:41 +0000

python-redis (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Nov 2018 18:16:03 +0100

python-redis (2.10.6-5) unstable; urgency=medium

  * Fix debian/watch file.
  * Move to debhelper-compat virtual package and drop
    debian/compat file.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 23:32:52 -0400

python-redis (2.10.6-4) unstable; urgency=medium

  * Drop ancient X-Python-Version and X-Python3-Version headers.
  * Update Vcs-* to point to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2018 17:45:10 +0100

python-redis (2.10.6-3) unstable; urgency=medium

  * Apply patch from https://github.com/andymccurdy/redis-py/pull/972 (written
    by the Debian maintainer) to fix autopkgtests against an i386 Redis server.
    (Closes: #896864)
  * Bump Standards-Version to 4.1.4.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Apr 2018 11:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,9 @@
  python-setuptools,
  python3-all,
  python3-setuptools,
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Standards-Version: 4.1.3
-Vcs-Git: https://github.com/lamby/pkg-python-redis.git
-Vcs-Browser: https://github.com/lamby/pkg-python-redis
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/lamby/pkg-python-redis.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-python-redis
 Homepage: https://github.com/andymccurdy/redis-py
 
 Package: python-redis

## python-redis 3.2.1

=== debian/changelog ===
python-redis (3.2.1-3~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Aug 2019 01:30:00 +0000

python-redis (3.2.1-3) unstable; urgency=medium

  * Move package to under the DPMT.
  * Bump Standards-Version to 4.4.0.
  * Don't build release tags in gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jul 2019 17:06:05 -0300

python-redis (3.2.1-2) unstable; urgency=medium

  * Add gitlab-ci.yml.
  * Drop marking previously-failing autopkgtests as XFAIL that were introduced
    to workaround #914800 but were released in 3.2.0-1.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Apr 2019 17:56:24 +0100

python-redis (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Mar 2019 10:50:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: python-redis
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders:
+ Chris Lamb <lamby@debian.org>,
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
@@ -9,9 +11,9 @@
  python-setuptools,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/lamby/pkg-python-redis.git
-Vcs-Browser: https://salsa.debian.org/lamby/pkg-python-redis
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-redis.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-redis
 Homepage: https://github.com/andymccurdy/redis-py
 
 Package: python-redis

## python-redis 3.3.11

=== debian/changelog ===
python-redis (3.3.11-2) unstable; urgency=medium

  * Team upload.
  * Add python3-all to py3k autopkgtests; Closes: #943458

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Dec 2019 13:38:01 -0500

python-redis (3.3.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Specify Rules-Requires-Root: no.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Oct 2019 12:13:09 -0700

python-redis (3.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump to debhelper compat level 12.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Sep 2019 10:32:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders:
  Chris Lamb <lamby@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  python-all,
  python-setuptools,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-redis.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-redis
 Homepage: https://github.com/andymccurdy/redis-py
+Rules-Requires-Root: no
 
 Package: python-redis
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=redis

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests require redis-server instance; see debian/tests

=== debian/tests/control ===
Tests: 0001-python2
Depends: @, redis-server, python-pytest, python-setuptools, python-mock
Restrictions: allow-stderr

Tests: 0002-python3
Restrictions: allow-stderr
Depends: @, redis-server, python3-pytest, python3-setuptools, python3-mock, python3-all

Tests: 0003-interaction
Depends: @, redis-server

=== debian/watch ===
version=4
https://github.com/andymccurdy/redis-py/tags (?:.*?/)?(\d.*)\.tar\.gz

## python-redis 3.5.3

=== debian/changelog ===
python-redis (3.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Enable salsa-ci to detect autopkgtest failures earlier

  [ Sophie Brun ]
  * Use pytest to run autopkgtest: setup.py test is no
    longer the correct way to run the tests. (Closes: #982134)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Feb 2021 11:30:27 +0100

python-redis (3.5.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sophie Brun ]
  * New upstream version 3.5.3
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Feb 2021 10:26:44 +0100

python-redis (3.3.11-3) unstable; urgency=medium

  * Drop python2 support; Closes: #938125

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 21:54:37 -0400

=== debian/control ===
Source: python-redis
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-redis.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-redis
Homepage: https://github.com/andymccurdy/redis-py
Rules-Requires-Root: no

Package: python3-redis
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-hiredis,
Description: Persistent key-value database with network interface (Python 3 library)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package contains Python bindings to Redis.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=redis

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests require redis-server instance; see debian/tests

=== debian/tests/control ===
Tests: 0002-python3
Restrictions: allow-stderr
Depends: @, redis-server, python3-pytest, python3-setuptools, python3-mock, python3-all

Tests: 0003-interaction
Depends: @, redis-server

## python-redis 4.3.4

=== debian/changelog ===
python-redis (4.3.4-3) unstable; urgency=medium

  * Skip a bunch of known-to-fail autopkgtests, especially ones that require
    third-party Redis modules (eg. BLOOM).

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 17:53:19 +0100

python-redis (4.3.4-2) unstable; urgency=medium

  * Add python3-pytest-asyncio as a requirement for 0002-python3 autopkgtest.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 16:17:03 +0100

python-redis (4.3.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014102)
  * Use py3versions --supported in autopkgtests over --requested.
  * Bump debhelper compatibility level to 13.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.1.
  * Install examples.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 12:43:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Chris Lamb <lamby@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-redis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-redis
 Homepage: https://github.com/andymccurdy/redis-py

=== debian/tests/control ===
Tests: 0002-python3
Restrictions: allow-stderr
Depends: @, redis-server, python3-pytest, python3-setuptools, python3-mock, python3-all, python3-pytest-asyncio

Tests: 0003-interaction
Depends: @, redis-server

=== debian/watch ===
version=4
https://github.com/andymccurdy/redis-py/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-redis 5.2.1

=== debian/changelog ===
python-redis (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * Update upstream URLs.
  * d/watch: Exclude pre-releases.
  * New upstream release:
    - CVE-2023-28858: Fix AsyncIO race condition (closes: #1033754).
  * Adjust tests for redis-server < 7.2.
  * Add the isolation-container restriction to autopkgtests, since they need
    redis-server to be running.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 16:18:59 +0100

python-redis (4.3.4-4) unstable; urgency=high

  * Team upload.
  * Patch to fix tests

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Dec 2024 15:35:43 +0100

=== debian/control ===
Source: python-redis
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-redis.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-redis
Homepage: https://github.com/redis/redis-py
Rules-Requires-Root: no

Package: python3-redis
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-hiredis,
Description: python bindings for Redis, a persistent key-value database with network interface
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package contains Python bindings to Redis.

=== debian/tests/control ===
Tests: 0002-python3
Restrictions: allow-stderr, isolation-container
Depends:
 @,
 python3-all,
 python3-coverage,
 python3-numpy,
 python3-pytest,
 python3-pytest-asyncio (>= 0.24.0),
 python3-pytest-timeout,
 python3-setuptools,
 redis-server,

Tests: 0003-interaction
Restrictions: isolation-container
Depends:
 @,
 redis-server,

## python-redis 6.1.0

=== debian/changelog ===
python-redis (6.1.0-2) unstable; urgency=medium

  * Use math.isclose() over testing for floating point equality. This should
    fix broken autopkgtests on the arm64, ppc64el, riscv64 and s390x
    architectures. (Closes: #1106376)

 -- Chris Lamb <lamby@debian.org>  Wed, 28 May 2025 14:31:30 -0700

python-redis (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Rework patches.
  * Add new build requirement, python3-hatchling.
  * Autopkgtests:
    - Add python3-mock as a requirement to run the autopkgtests.
    - Don't run the (failing) get_set_retry_object_for_cluster_client test
      during autopkgtests.
  * Update renamed Lintian tag to the new value,
    debian-watch-does-not-check-openpgp-signature.
  * Fix package long description to avoid Lintian warnings.
  * Bump Standards-Verison to 4.7.2.

 -- Chris Lamb <lamby@debian.org>  Wed, 14 May 2025 11:12:59 -0700

=== debian/watch ===
version=4
https://github.com/redis/redis-py/tags (?:.*?/)?v?(\d[\.\d]*)@ARCHIVE_EXT@

## python-redis 6.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/redis-py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/redis-py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/redis-py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/redis-py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
sphinx>=5.0,<7.0
docutils<0.18
nbsphinx
sphinx_gallery
ipython
sphinx-autodoc-typehints
furo
pandoc

=== doctests/requirements.txt ===
numpy
pandas
requests
sentence_transformers
tabulate
redis #install latest stable version

=== docs/examples/opentelemetry/requirements.txt ===
redis==4.3.4
uptrace==1.14.0
opentelemetry-instrumentation-redis==0.35b0

=== debian/changelog ===
python-redis (6.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Skip a few new tests that require sentinel Redis nodes.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 18:14:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-redis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-redis
 Homepage: https://github.com/redis/redis-py
@@ -23,7 +24,7 @@
  ${python3:Depends},
 Suggests:
  python3-hiredis,
-Description: python bindings for Redis, a persistent key-value database with network interface
+Description: Python bindings for Redis, a persistent key-value database
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
  manipulating and querying data structures such as lists and sets.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=redis

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# Tests require redis-server instance; see debian/tests

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  @,
  python3-all,
  python3-coverage,
+ python3-mock,
  python3-numpy,
  python3-pytest,
  python3-pytest-asyncio (>= 0.24.0),
